=== debian/changelog ===
grok (1.20110708.1-7.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Wed, 31 Jan 2024 13:09:47 +0000

grok (1.20110708.1-7) unstable; urgency=medium

  * debian/control: Update Vcs-* with packaging repository

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 14 Oct 2021 21:51:00 +0200

grok (1.20110708.1-6) unstable; urgency=medium

  * Add package tests

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 26 Sep 2021 15:13:52 +0200

grok (1.20110708.1-5) unstable; urgency=medium

  * Build with TI RPC on GNU/Linux.
    Thanks to Aurelien Jarno <aurel32@debian.org> (Closes: #992917)
  * Update upstream URIs (Closes: #981689)
  * Bump standards version
  * Bump debhelper from deprecated 9 to 13.
  * Change priority extra to priority optional.
  * Update upstream homepage
  * Update upstream VCS headers
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Use secure copyright file specification URI.
  * Transition to automatic debug package (from: grok-dbg).
  * Replace build flag patches with variables in debian/rules
  * Manage patches with dgit
  * Update debian/watch for github upstream
  * Use DEB_*FLAGS_MAINT_* variables
  * Add lintian overrides for built binaries in the source tarball
  * Drop build dependency on dctrl-tools and dpkg-dev

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 26 Sep 2021 12:15:18 +0200

grok (1.20110708.1-4.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-10. (Closes: #957309)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Apr 2020 20:57:15 +0100

grok (1.20110708.1-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-9. (closes: #925708)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Jan 2020 22:12:23 +0000

grok (1.20110708.1-4.3~deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Rebuild for stretch.
  * Drop the gperf 3.1 patches

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 17:12:13 +0100

grok (1.20110708.1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * libgrok-dev: Add the missing dependencies on:
    - libgrok1 (Closes: #875422)
    - libtokyocabinet-dev (Closes: #779034)

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Oct 2017 17:15:19 +0300

grok (1.20110708.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Steve Langasek's fix for wrong pointer alias bug
    (Closes: #841668)
  * Apply patches to allow build grok with gperf >= 3.1
    (Closes: #869594)

 -- SZALAY Attila <sasa@debian.org>  Wed, 09 Aug 2017 16:36:26 -0400

grok (1.20110708.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from upstream to working with PCRE >= 8.34
    (Closes: #775062)

 -- Neil Williams <codehelp@debian.org>  Fri, 16 Jan 2015 22:03:17 +0000

grok (1.20110708.1-4) unstable; urgency=low

  * Add GNU/Hurd patch which disappeared from -3 (Closes: #675104)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 14 Oct 2012 09:08:21 +0000

grok (1.20110708.1-3) unstable; urgency=low

  * Fix broken symlink for .so (Closes: #689947)
  * Fix FTBFS on kfreebsd-*

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 12 Oct 2012 20:38:07 +0000

grok (1.20110708.1-2) unstable; urgency=low

  * Add documentation for the examples (Closes: #675881)
  * Also install "discogrok", and generate a manpage

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 23 Jun 2012 14:00:40 +0200

grok (1.20110708.1-1) unstable; urgency=low

  * Initial Release (Closes: #672777)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 13 May 2012 17:24:56 +0200
