=== debian/control ===
Source: grok
Section: misc
Priority: optional
Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends:
 bison,
 ctags,
 debhelper-compat (= 13),
 flex,
 gperf,
 help2man,
 libevent-dev,
 libpcre3-dev,
 libtirpc-dev,
 libtokyocabinet-dev,
Standards-Version: 3.9.3
Homepage: https://github.com/jordansissel/grok
Vcs-Browser: https://salsa.debian.org/debian/grok
Vcs-Git: https://salsa.debian.org/debian/grok.git

Package: grok
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: powerful pattern-matching and reacting tool
 The grok program can parse log data and program output. You can match
 any number of complex patterns on any number of inputs (processes and
 files) and have custom reactions.
 .
 Grok is simple software that allows you to easily parse logs and
 other files. With grok, you can turn unstructured log and event data
 into structured data.

Package: libgrok1t64
Provides: ${t64:Provides}
Replaces: libgrok1
Breaks: libgrok1 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: shared libraries for grok
 The grok library provides the pattern matching features of grok in
 your own tools. There are currently C and Ruby APIs.
 .
 Grok is simple software that allows you to easily parse logs and
 other files. With grok, you can turn unstructured log and event data
 into structured data.

Package: libgrok-dev
Section: libdevel
Architecture: any
Depends:
 libgrok1t64 (= ${binary:Version}),
 libtokyocabinet-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: libgrok-dev
Conflicts: libgrok-dev
Description: development files for grok
 Development files for the grok pattern matcher
 .
 Grok is simple software that allows you to easily parse logs and
 other files. With grok, you can turn unstructured log and event data
 into structured data.
